General Mysql and Maria and MySQLi extension for PHP question

jeffschips

Well-Known Member
Jun 5, 2016
281
39
78
new york
cPanel Access Level
Root Administrator
CentOS v7.9.2009 STANDARD kvm cPanel Version 106.0.9

I have a number of sites that are using MySQL 5.7.40. When trying to migrate to php 8 the follow error appears on the website page with error reporting enabled.

The MySQLi extension for PHP is not installed or enabled.

I use the WHM MultiPHP Manager and PHP-FPM is set to enabled in all instances.

And yet, when I run "php -i|grep -i mysqli" I see:

MysqlI Support => enabled <--- I believe that Mysqll should be Msqli, not Mysqll. Regardess, it's enabled.
mysqli.allow_local_infile => Off => Off
mysqli.allow_persistent => On => On
mysqli.default_host => no value => no value
mysqli.default_port => 3306 => 3306
mysqli.default_pw => no value => no value
mysqli.default_socket => /var/lib/mysql/mysql.sock => /var/lib/mysql/mysql.sock
mysqli.default_user => no value => no value
mysqli.max_links => Unlimited => Unlimited
mysqli.max_persistent => Unlimited => Unlimited
mysqli.reconnect => Off => Off
mysqli.rollback_on_cached_plink => Off => Off
API Extensions => mysqli,pdo_mysql

Thanks for any insight.
 
Last edited:
  • Like
Reactions: hmaddy

GOT

Get Proactive!
PartnerNOC
Apr 8, 2003
1,772
326
363
Chesapeake, VA
cPanel Access Level
DataCenter Provider
Usually this happens when there is a malformed php.ini or .user.ini in the public_html folder. I would check for that first.
 
  • Like
Reactions: hmaddy

jeffschips

Well-Known Member
Jun 5, 2016
281
39
78
new york
cPanel Access Level
Root Administrator
SOLVED:
The EasyApache upgrade script failed to install the module: php80-php-mysqlnd

When comparing the 7 to 8 modules I noticed it was missing and re-provisioned the service ticking "install" php80-php-mysqlnd.

Shame on you EasyApache script.
 

kodeslogic

Well-Known Member
PartnerNOC
Apr 26, 2020
542
253
138
IN
cPanel Access Level
Root Administrator